firefox is battery inefficient on business insider
This blog post compares browser battery efficiency on different web sites:



We are abnormally bad on Business Insider for some reason:



I have no idea what category to put this in, unfortunately.
